<?php



class UsuariosMapBuilder {

	
	const CLASS_NAME = 'lib.model.map.UsuariosMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap('propel');

		$tMap = $this->dbMap->addTable('USUARIOS');
		$tMap->setPhpName('Usuarios');

		$tMap->setUseIdGenerator(false);

		$tMap->addPrimaryKey('ID', 'Id', 'double', CreoleTypes::NUMERIC, true, 22);

		$tMap->addForeignKey('ID_PERFIL', 'IdPerfil', 'double', CreoleTypes::NUMERIC, 'PERFILES', 'ID', false, 22);

		$tMap->addColumn('USERNAME', 'Username', 'string', CreoleTypes::VARCHAR, false, 100);

		$tMap->addColumn('PASS', 'Pass', 'string', CreoleTypes::VARCHAR, false, 100);

		$tMap->addColumn('ESTADO', 'Estado', 'double', CreoleTypes::NUMERIC, false, 22);

		$tMap->addColumn('NITOCC', 'Nitocc', 'double', CreoleTypes::NUMERIC, false, 22);

		$tMap->addColumn('FK_USERNAME', 'FkUsername', 'double', CreoleTypes::NUMERIC, false, 22);

		$tMap->addColumn('CREATED_AT', 'CreatedAt', 'int', CreoleTypes::DATE, false, null);

		$tMap->addColumn('UPDATE_AT', 'UpdateAt', 'int', CreoleTypes::DATE, false, null);

	} 
} 